import { NgModule } from "@angular/core";
import { BuyApplyComponent } from "./buyApply/buy-apply.component";
import { BuyApplyDetailComponent } from "./buyApply/detail/buy-apply.component";
import { BuyContractComponent } from "./buyContract/buy-contract.component";
import { BuyContractDetailComponent } from "./buyContract/detail/buy-contract.component";
import { BuyPayComponent } from "./buyPay/buy-pay.component";
import { BuyPayDetailComponent } from "./buyPay/detail/buy-pay.component";
import { InspectComponent } from "./inspect/inspect.component";
import { InspectDetailComponent } from "./inspect/detail/inspect.component";
import { AssetRegisterComponent } from "./assetRegister/asset-register.component";
import { AssetRegisterDetailComponent } from "./assetRegister/detail/asset-register.component";
import { AssetReceiveComponent } from "./assetReceive/asset-receive.component";
import { AssetReceiveDetailComponent } from "./assetReceive/detail/asset-receive.component";
import { FacilityLeaseComponent } from "./facilityLease/facility-lease.component";
import { FacilityLeaseDetailComponent } from "./facilityLease/detail/facility-lease.component";
import { PropertyChangeComponent } from "./propertyChange/property-change.component";
import { PropertyChangeDetailComponent } from "./propertyChange/detail/property-change.component";
import { PropertyChangeRecordComponent } from "./propertyChangeRecord/property-change-record.component";
import { PropertyChangeRecordDetailComponent } from "./propertyChangeRecord/detail/property-change-record.component";
import { CheckPlanComponent } from "./checkPlan/check-plan.component";
import { CheckPlanDetailComponent } from "./checkPlan/detail/check-plan.component";
import { AssetWithdrawingComponent } from "./assetWithdrawing/asset-withdrawing.component";
import { AssetWithdrawingDetailComponent } from "./assetWithdrawing/detail/asset-withdrawing.component";
import { AssetStorageComponent } from "./assetStorage/asset-storage.component";
import { AssetStorageDetailComponent } from "./assetStorage/detail/asset-storage.component";
import { DiscardedDisposalComponent } from "./discardedDisposal/discarded-disposal.component";
import { DiscardedDisposalDetailComponent } from "./discardedDisposal/detail/discarded-disposal.component";
import { AssetsUseRecordComponent } from "./assetsUseRecord/assets-use-record.component";
import { AssetsUseRecordDetailComponent } from "./assetsUseRecord/detail/assets-use-record.component";
import { AssetsUsedRoutingModule } from "./assets-used-routing.module";
import { CheckAddComponent } from "./checkPlan/check-add/check-add.component";
import { SharedModule } from "src/app/shared";
import { AssetsListComponent } from "./checkPlan/assets-list/assets-list.component";
import { CheckResultComponent } from "./checkPlan/check-result/check-result.component";

@NgModule({
  declarations: [
    BuyApplyComponent,
    BuyApplyDetailComponent,

    BuyContractComponent,
    BuyContractDetailComponent,

    BuyPayComponent,
    BuyPayDetailComponent,

    InspectComponent,
    InspectDetailComponent,

    AssetRegisterComponent,
    AssetRegisterDetailComponent,

    AssetReceiveComponent,
    AssetReceiveDetailComponent,

    FacilityLeaseComponent,
    FacilityLeaseDetailComponent,

    PropertyChangeComponent,
    PropertyChangeDetailComponent,

    PropertyChangeRecordComponent,
    PropertyChangeRecordDetailComponent,

    CheckPlanComponent,
    CheckPlanDetailComponent,

    AssetWithdrawingComponent,
    AssetWithdrawingDetailComponent,

    AssetStorageComponent,
    AssetStorageDetailComponent,

    DiscardedDisposalComponent,
    DiscardedDisposalDetailComponent,

    AssetsUseRecordComponent,
    AssetsUseRecordDetailComponent,
    CheckAddComponent,
    AssetsListComponent,
    CheckResultComponent
  ],
  imports: [SharedModule, AssetsUsedRoutingModule]
})
export class AssetsUsedModule {}
